#
# spec file for package ghc-MonadRandom
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name MonadRandom
Name:           ghc-%{pkg_name}
Version:        0.5.1
Release:        1.11
Summary:        Random-number generation monad
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-fail-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Support for computations which consume random values.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGES.markdown

%changelog
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.5.1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.2.3 revision 0 with cabal2obs.
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 0.4.2.3
  * Mark Control.Monad.Random as Trustworthy.
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 0.4.2.2
  * Allow transformers-0.5.
* Mon Jan 18 2016 mimi.vx@gmail.com
- update to 0.4.2.1
  * Allow transformers-compat-0.5.
  * Add MonadPlus and Alternative instances for RandT.
* Sun Nov 22 2015 mimi.vx@gmail.com
- update to 0.4.1
  * Remove unnecessary Monad m constraint from liftRandT and runRandT.
* Thu Aug  6 2015 mimi.vx@gmail.com
- update to 0.4
  * Remove unnecessary RandomGen g constraints from liftRandT, liftRand, evalRandT,
  evalRand, runRandT, runRand.
  * A major version bump is required by the PVP since the types of all the above
  methods have changed, but this release is again very unlikely to break any client code.
* Mon May 18 2015 mimi.vx@gmail.com
- correct licence to MIT
* Sun Apr 26 2015 mimi.vx@gmail.com
- initial commit
